---
title: About Me
date: "2023-09-19"
---

I live in [Jundiaí, SP, Brazil](https://www.openstreetmap.org/#map=13/-23.1964/-46.8778) with my wife and four cats. I have a degree in [Electrical Engineering](https://www.fee.unicamp.br/) by [UNICAMP](https://www.unicamp.br/unicamp/) and I have been working as a software engineer for more than 10 years, mainly using [Python](https://www.python.org/) for **web projects** and **web scraping**.

I am also the co-founder of [Laboratório Hacker de Campinas](https://lhc.net.br), a hackerspace in [Campinas, SP, Brazil](https://www.openstreetmap.org/#map=13/-22.9206/-47.0608).

In my free time I enjoy homebrewing ([eventually I blog about that](https://receitasdecerveja.com.br)) and woodworking (when I am able to spend an entire day at the hackerspace).

Sometimes I publish some videos in my [Peertube account](https://peertube.lhc.net.br/a/rocha/video-channels) about software development in general.

## Projects

I am the maintainer of the following open source projects:

- [Querido Diário](https://queridodiario.ok.org.br/) is a platform that crawls and scrapes official documents of Brazilian cities and making them more easily accessible to the general public.

- [Spidermon](https://github.com/scrapinghub/spidermon/) is a extension that helps to monitor the execution of web crawlers developed with [Scrapy](https.scrapy.org) framework.

- [Joker](https://github.com/lhc/lhc-telegram-bot) is a **Telegram Bot** developed to run in [my hackerspace](https://lhc.net.br/) [Telegram channel](https://t.me/lhc_campinas). It provides a set of useful (or just funny) commands for calendar, finance reporting, [pizza math](https://github.com/lhc/lhc-telegram-bot/blob/main/src/joker/commands/pizza.py) and others.

- [DojoPuzzles](https://dojopuzzles.com) is a page that helps participants of [Coding Dojo](https://codingdojo.org/practices/WhatIsCodingDojo/) sessions to choose a suitable problem to be solved. I created this project many years ago, when I organized these sessions. There are not many updates since them, but it is still very used in Brazilian community.

## Contact

You can find me on [Linkedin](https://www.linkedin.com/in/rennerocha/) or on my Fediverse accounts: [@rennerocha@chaos.social](https://chaos.social/@rennerocha) (English mainly) and [@renne@rocha.social](https://go.rocha.social/@renne/) (Portuguese mainly).

## Events

I have plans to attend the following events in the coming months. If you want to invite me for a beer, I might accept the invitation 🙂

<table>
  <tr>
    <td></td>
    <td>When</td>
    <td>Where</td>
    <td>What</td>
    <td>Speaking?</td>
  </tr>
  <tr>
    <td><img src="/ribeirao-preto-flag.png" /></td>
    <td>June, 19-22</td>
    <td>Ribeirão Preto-SP, Brazil</td>
    <td><a href="https://2025.caipyra.python.org.br/">Caipyra 2025</a></td>
    <td><a href="https://talks.python.org.br/caipyra-2025/talk/BCVC7S/">Yes</a></td>
  </tr>
  <tr>
    <td><img src="/campinas-flag.png" /></td>
    <td>October, 18</td>
    <td>Campinas-SP, Brazil</td>
    <td><a href="https://devopsdays.org/events/2025-campinas/welcome/">DevOpsDays Campinas 2025</a></td>
    <td>-</td>
  </tr>
  <tr>
    <td><img src="/sao-paulo-flag.png" /></td>
    <td>October, 21-27</td>
    <td>São Paulo-SP, Brazil</td>
    <td><a href="https://2025.pythonbrasil.org.br/">PythonBrasil 2025</a></td>
    <td>?</td>
  </tr>
</table>

## Past Events

Events that I attended **and** presented something (a talk, a tutorial, etc.).

<table>
  <tr>
    <td></td>
    <td>When</td>
    <td>Where</td>
    <td>What</td>
  </tr>
  <tr>
    <td><img src="/sao-paulo-flag.png" /></td>
    <td>May, 16-17</td>
    <td>São Paulo-SP, Brazil</td>
    <td><a href="https://2025.cryptorave.org/">CryptoRave 2025</a></td>
  </tr>
  <tr>
    <td colspan="4"><strong>Talk:</strong> <a href="https://cpa.cryptorave.org/cryptorave-2025/talk/LQ9VBG/">Sem Janelas Quebradas: Mantendo Seu Ambiente Organizado</a> <a href="https://git.rocha.dev.br/rennerocha/talk-cryptorave-2025">[slides]</a></td>
  </tr>
</table>
